[android-components](../../index.md) / [org.mozilla.telemetry](../index.md) / [Telemetry](index.md) / [getPingBuilder](./get-ping-builder.md)

# getPingBuilder

`@Nullable open fun getPingBuilder(pingType: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`TelemetryPingBuilder`](../../org.mozilla.telemetry.ping/-telemetry-ping-builder/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/telemetry/src/main/java/org/mozilla/telemetry/Telemetry.java#L71)

Returns a previously added ping builder or null if no ping builder of the given type has been added.

